aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell
diff options
context:
space:
mode:
authorGravatar Klaus Aehlig <aehlig@google.com>2016-06-27 14:28:16 +0000
committerGravatar Dmitry Lomov <dslomov@google.com>2016-06-27 15:00:46 +0000
commit57ad30cc8e64cfdff2317f1c976ccda70e2bef87 (patch)
treeae294448ea58304685153437a2e3ab5ee2fe0df9 /src/test/shell
parentd57a6535f2e1dcf64f4e0a992dc399d17f4cacd2 (diff)
experimental UI: honor --progress_in_terminal_title
Make the experimental UI honor the --progress_in_terminal_title options which requests that the terminal title be set to a description of the current progress. -- Change-Id: I8ebded9ebb7e9f821344165fca6b5f6b9b254c68 Reviewed-on: https://bazel-review.googlesource.com/#/c/3904 MOS_MIGRATED_REVID=125953773
Diffstat (limited to 'src/test/shell')
-rwxr-xr-xsrc/test/shell/integration/experimental_ui_test.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/src/test/shell/integration/experimental_ui_test.sh b/src/test/shell/integration/experimental_ui_test.sh
index f0c7adeed0..87b0cf94ee 100755
--- a/src/test/shell/integration/experimental_ui_test.sh
+++ b/src/test/shell/integration/experimental_ui_test.sh
@@ -219,6 +219,13 @@ function test_failure_scrollback_buffer_curses {
expect_log '^'$'\(.*\x1b\[K\)*\x1b\[31m\x1b\[1mFAIL:'
}
+function test_terminal_title {
+ bazel test --experimental_ui --progress_in_terminal_title pkg:true \
+ 2>$TEST_log || fail "bazel test failed"
+ # The terminal title is changed
+ expect_log $'\x1b\]0;.*\x07'
+}
+
function test_failure_scrollback_buffer {
bazel clean || fail "bazel clean failed"
bazel test --experimental_ui --curses=no --color=yes \